## EXtra-foam

[EXtra-foam documentation](https://extra-foam.readthedocs.io/en/latest/index.html)

When connecting to bridge output of [group matchers](devices.md#group-matcher) or [full matcher](devices.md#full-matcher), the source type must be set to "run directory".
This is due to the way a [TrainMatcher](trainmatcher.md#overview) forwards sources individually (similar to how data is stored in runs later).

## OnDA

It is possible to send full detector data (with appropriate [throttling](data-rates.md)) via a [full matcher](devices.md#full-matcher) to OnDA.
As OnDA expects stacked data, one needs to set up [stacking](output-formats.md#stacking) on the full matcher.


## ROI tool

The ROI tool is a small device developed to help keep track of pixel intensities.
It is not currently installed as a part of `calng`, but is intended to be used with `calng` pipelines.
Currently deployed for testing at SPB; see `SPB_DET_AGIPD1M-1/CALNG/ROI_HISTOGRAM_CORR` and `SPB_IRDA_JF4M/CALNG/ROI_TOOL_CORR`.
