import extra_geom

from ..base_geometry import ManualQuadrantsGeometryBase, make_quadrant_corners_node


class Agipd1MGeometry(ManualQuadrantsGeometryBase):
    geometry_class = extra_geom.AGIPD_1MGeometry
    quadrantCorners = make_quadrant_corners_node(
        [
            (-525, 625),
            (-550, -10),
            (520, -160),
            (542.5, 475),
        ]
    )
